Atik WooCommerce Theme
===

This document explains how to get started with this framework. Here are some few initial steps to be followed:

1. Replace textdomain from `atik` to theme name.
2. Function's names are prefixed with `atik_` that also needs to be replaced with theme name.
3. Also, all the pages includes inline docs referring `@package Atik` that must be replaced as well, but if you perform global find/replace operation, make sure it's case sensitive.

This framework includes some basic styles with Sass for most used elements. Take a closer look on `_preboot.scss`, it includes variables, mixins, and extends—which makes the development easier.

## Using Gulp & NPM
You will need the develop task running all the time in order to work on this project. You also have scripts for when packaging a new release or building a zip.

1. While working on the project - `npm run develop`
2. To build a new production zip - `npm run build`
3. To release a new version - `npm run release:{patch/minor/major}`
4. To deploy to theme demo - `npm run deploy:demo`

#### Packaging a new release
1. There is a top level function `gulp release:major` which accepts a parameter to denote if the release is `major`, `minor`, or `patch`. In any case, the command becomes: `gulp release:minor`. Here's how versioning works:
    1. `gulp release:major` releases `1.0.0` > `2.0.0`
    2. `gulp release:minor` releases `1.0.0` > `1.1.0`
    3. `gulp release:patch` releases `1.0.0` > `1.0.1`
2. Gulp release function also creates a zip file of the theme under `build/atik.zip`, processes pot file, checks for changelog entry under `changelog.txt` and commits to git and adds a tag.
3. Theme versions are replaced under the following files during release, so no need to replace theme version manually:
    1. `style.css`
    3. `functions.php`

*If you find anything missing or something that should be added as base to the project, feel free to push a commit.*
